#ifndef USER_INTERFACE_H
#define USER_INTERFACE_H
/* Handles user input and is responsible for displaying the user interface */


#include "ShaderProgFactory.h"
class Timer;
class Demonstration;


class UserInterface {
    public:
        //Constructor
        UserInterface(Demonstration* demonstration_);

        //Draw information
        void drawInfo();


    private:
        Timer* timer;
        ShaderProgFactory* shaderProgFactory;
        CGprogram vp_NoTransform;
};

#endif
